<template>
    <div class="user-wrap">
        <div class="info-wrap">
            <div class="avatar">
                <img :src="avatar" alt="">
            </div>
            <div class="user-info">
                <p>{{info.name}}</p>
                <p><span>{{this.info.phone}}</span><span>积分：{{info.integral}}</span></p>
            </div>
        </div>
        <div class="order-btn">
            <ul>
                <li @click="goOrder(0)">
                    <img src="../../assets/img/编组.png" alt="">
                    <p><span>全部</span></p>
                </li>
                <li @click="goOrder(1)">
                    <img src="../../assets/img/编组 4.png" alt="">
                    <p><span>待发货</span></p>
                </li>
                <li @click="goOrder(2)">
                    <img src="../../assets/img/编组 3.png" alt="">
                    <p><span>配送中</span></p>
                </li>
                <li @click="goOrder(3)">
                    <img src="../../assets/img/编组 8.png" alt="">
                    <p><span>已收货</span></p>
                </li>
                
            </ul>
        </div>
        <div class="user-manage">
            <ul>
                <li>
                    <h4><i></i><span>我的账户</span></h4>
                    <p @click="goAddress">
                        <span>地址管理</span>
                        <span>></span>
                    </p>
                </li>
            </ul>
        </div>
    </div>
</template>
<script>
import { Button} from "vant";
export default {
    name: "User",
    components:{
        [Button.name]: Button,
    },
    data(){
        return{
            avatar:require('../../assets/img/icon.png'),
            info:{
                name:'领先',
                phone:'15684875685',
                integral:1000
            },
            isApp:null
        }
    },
    created(){
        this.info.phone=this.telHideCenter(this.info.phone);
    },
    methods:{
        goOrder(status){
            this.$router.push({
                name:'Order',
                query:{
                    status:status
                }
            })
        },
        goAddress(){
            this.$router.push({
                name:'Order'
            })
        },
        telHideCenter(val){
            var reg = /^(\d{3})\d{4}(\d{4})$/;
            val = val.replace(reg, '$1****$2');
            return val;
        }
    }
};
</script>

<style scope lang="less">
    .user-wrap{
        width: 100vw;
        background-color: var(--background);
        min-height: 100vh;
        .info-wrap{
            display: flex;
            background:linear-gradient(180deg,rgba(237,207,162,1) 0%,rgba(215,162,105,1) 100%);
            padding-top: 18px;
            height: 111.5px;
            .avatar{
                width: 46px;
                height: 46px;
                margin: 0 16px 0 29.5px;
                img{
                    width: 100%;
                    height: 100%;
                    display: block;
                }
            }
            .user-info{
                flex-grow: 1;
                margin-right: 7.5px;
                p{
                    text-align: left;
                    color: var(--text-2);
                    font-weight: 500;
                }
                p:nth-child(1){
                    font-size: 16.5px;
                    line-height: 18px;
                }
                p:nth-child(2){
                    font-size: 14px;
                    line-height: 2px;
                    margin-top: 15px;
                    display: flex;
                    justify-content: space-between;
                }
            }
            
        }
        .order-btn{
            display: flex;
            justify-content: center;
            position: relative;
            top: -42px;
            ul{
                display: flex;
                align-items: center;
                justify-content: center;
                width: 360px;
                height: 81px;
                background-color: var(--fill-1);
                border-radius: 12px;
                li{
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    margin-right: 43.5px; 
                    img{
                        flex-shrink:0;
                    }
                    p{
                        line-height: 20px;
                        font-size: 14px;
                        margin-top: 5px;
                        flex-shrink:0;
                    }
                }
                li:last-of-type{
                    margin-right: 0;
                }
            }
        }
        .user-manage{
            background-color: var(--fill-1);
            margin-top: -23.5px;
            ul{
                display: flex;
                li{
                    height: 62px;
                    width: 100%;
                    font-weight: 500;
                    color: #333;
                    h4{
                        text-align: left;
                        line-height: 14px;
                        display: flex;
                        margin: 15px 0 10px 0;
                        i{
                            display: inline-block;
                            width: 1px;
                            height: 12px;
                            background-color: var(--background-1); 
                            margin: 0 4.5px 0 7.5px;
                        }
                        span{
                            font-size: 14px;
                            line-height: 14px;
                            font-weight: bolder;
                        }
                    }
                    p{
                        font-size: 13px;
                        display: flex;
                        justify-content: space-between;
                        span{
                            margin: 0 19px 0 12.5px;
                        }
                    }
                }
            }
        }
    }
</style>
